%define python3_pkgversion 3.11

# Created by pyp2rpm-3.3.10
%global debug_package %{nil}
%global pypi_name ruamel.yaml.clib
%global pypi_version 0.2.8

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1.0.1%{?dist}
Summary:        C version of reader, parser and emitter for ruamel

License:        MIT
URL:            https://sourceforge.net/p/ruamel-yaml-clib/code/ci/default/tree
Source0:        https://files.pythonhosted.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Oracle Patch
Patch1001:	0001-Modify-setup.py-file.patch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-rpm-macros

%description
ruamel.yaml.clib ruamel.yaml.clib is the C based reader/scanner and emitter for
ruamel.yaml:version: 0.2.7 :updated: 2022-10-19 :documentation: :repository:
:pypi: package was split of from ruamel.yaml, so that ruamel.yaml can be build
as a universal wheel. Apart from the C code seldom changing, and taking a long
time to compile for all platforms, this allows installation of the .so on
Linux...

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}

%description -n python%{python3_pkgversion}-%{pypi_name}
ruamel.yaml.clib ruamel.yaml.clib is the C based reader/scanner and emitter for
ruamel.yaml:version: 0.2.7 :updated: 2022-10-19 :documentation: :repository:
:pypi: package was split of from ruamel.yaml, so that ruamel.yaml can be build
as a universal wheel. Apart from the C code seldom changing, and taking a long
time to compile for all platforms, this allows installation of the .so on
Linux...


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Jul 31 2024 Darren Archibald <darren.archibald@oracle.com> - 0.2.8-1.0.1
- Build with python3.11

* Wed Jul 31 2024 Darren Archibald <darren.archibald@oracle.com> - 0.2.8-1
- Initial package.
